import path from 'path'
import {defineConfig} from 'vite'
import dts from 'vite-plugin-dts'


export default defineConfig(() => {
    return {
        resolve: {
            alias: {
                '@': path.resolve(__dirname, './src')
            }
        },
        build: {
            target: "es2015",

            lib: {
                entry: path.resolve(__dirname, 'src/index'),
                name: 'toolkit',
                fileName: 'index',
                formats: ['es', 'umd'],
                sourcemap: 'inline'
            },
            outDir: path.resolve(__dirname, 'dist')
        },
        plugins: [dts()]
    }
})